return of larch and an is_reboot_needed query
authorChris Koeritz <fred@gruntose.com>
Fri, 15 Oct 2021 05:44:01 +0000 (01:44 -0400)
committerChris Koeritz <fred@gruntose.com>
Fri, 15 Oct 2021 05:44:01 +0000 (01:44 -0400)
larch is list_arch, in more accessible and funnily nostalgic form.
i.e. number something or other, the larch.  the larch.

scripts/core/common.alias
scripts/system/is_reboot_needed.sh [new file with mode: 0644]

index 7dc95071b977dc7a57e0f3a41821dd6796fd15ce..9c24dfc2e9d6a082690290a4efc61dc64057c6de 100644 (file)
@@ -68,6 +68,7 @@ define_yeti_alias get_feisty='rpuffer $FEISTY_MEOW_APEX; regenerate'
 define_yeti_alias halt='sudo shutdown -h now'
 define_yeti_alias i=inventory
 define_yeti_alias l='perl $FEISTY_MEOW_SCRIPTS/files/summing_dir.pl'
+define_yeti_alias larch='list_arch'
 define_yeti_alias ll='ls_dot_add=-a perl $FEISTY_MEOW_SCRIPTS/files/summing_dir.pl'
 define_yeti_alias ls='ls -HhFC $color_add'
 define_yeti_alias lsd='ls -hl'
diff --git a/scripts/system/is_reboot_needed.sh b/scripts/system/is_reboot_needed.sh
new file mode 100644 (file)
index 0000000..26d65a7
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# returns an error value if reboot IS required due to some recent
+# updates.  otherwise returns a normal zero exit value indicating
+# that things are peachy.
+
+if [ -f /var/run/reboot-required ]; then
+  echo 'reboot required'
+  exit 1
+fi
+exit 0
+
+#hmmm: add other OS versions, e.g.
+#  redhat/centos: $ needs-restarting -r ; echo $?
+#     shows if needs to be rebooted and returns an error if does need reboot
+#